//
//  SearchEpisodeSelectionTableController.m
//  MobileDaxhotel
//
//  Created by Raphael Schweikert on 17.03.09.
//  Copyright 2009 Raphael Schweikert. All rights reserved.
//

#import "SearchEpisodeSelectionTableController.h"


@implementation SearchEpisodeSelectionTableController

@synthesize displayedEpisodes;

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 2;
}

- (NSDictionary *)episodeForRowAtIndexPath:(NSIndexPath *)indexPath {
    return [[self.displayedEpisodes objectAtIndex:[indexPath row]] retain];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    if(section == 0) {
        return [self.displayedEpisodes count] <= 1 ? 0 : 1;
    }
    return [self.displayedEpisodes count];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSDictionary *episode;
    if([indexPath section] == 0) {
        episode = [self.displayedEpisodes objectAtIndex:(arc4random()%[displayedEpisodes count])];
    } else {
        episode = [self.displayedEpisodes objectAtIndex:[indexPath row]];
    }
    
    DetailViewController *detailView = appDelegate.detailView;
    [appDelegate.mainWindowTableController.navigationController pushViewController:detailView animated:YES];
    NSDictionary *seriesOfEpisode = [appDelegate.mainWindowTableController seriesWithSeriesId:[[episode valueForKey:@"series_id"] integerValue]];
    [detailView displayEpisode:episode ofSeries:seriesOfEpisode updateTintColor:YES];
}

- (BOOL)shouldColorCells {
    return YES;
}

- (void) updateTable {
    [self scrollToTop];
    [self.tableView reloadData];
}

- (void) scrollToTop {
    self.tableView.contentOffset = CGPointMake(0.0f, 0.0f);
}

- (void) deselect {
    [self.tableView deselectRowAtIndexPath:[self.tableView indexPathForSelectedRow] animated:NO];
}

- (void) dealloc {
    [super dealloc];
}
@end
